Package tigase.xmpp.impl.roster

## Class DynamicRoster

- java.lang.Object
- - tigase.xmpp.impl.roster.DynamicRoster

- All Implemented Interfaces:
    `Initializable`, `RegistrarBean`, `UnregisterAware`

      @Bean(name="dynamic-rosters",
            parent=SessionManager.class,
            active=false)
      public class DynamicRoster
      extends java.lang.Object
      implements RegistrarBean, Initializable, UnregisterAware

  Describe class DynamicRoster here.
  Created: Tue Nov 6 11:28:10 2007
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicRoster()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JID[]` | `addBuddies​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings, JID[] buddies)` |
    `static JID[]` | `addBuddies​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings, JID[] buddies, java.util.EnumSet<RosterAbstract.SubscriptionType> subscrs)` |
    `static void` | `addBuddiesToList​(java.util.List<JID> list, JID[] buddies)` |
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `static JID[]` | `getBuddies​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings)` |
    `static java.util.List<JID>` | `getBuddiesList​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings)` |
    `static Element` | `getBuddyItem​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings, JID buddy)` |
    `static DynamicRosterIfc[]` | `getDynamicRosters​(java.util.Map<java.lang.String,​java.lang.Object> settings)` |
    `static Element` | `getItemExtraData​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings, Element item)` |
    `static java.util.List<Element>` | `getRosterItems​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings)` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `void` | `register​(Kernel kernel)` | Method called when bean is being registered allowing developer to programatically register other beans.
    `static void` | `setItemExtraData​(XMPPResourceConnection session, java.util.Map<java.lang.String,​java.lang.Object> settings, Element item)` |
    `void` | `unregister​(Kernel kernel)` | Method called while bean is being unregistered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicRoster

          public DynamicRoster()

  - ### Method Detail

    - #### addBuddies

          public static JID[] addBuddies​(XMPPResourceConnection session,
                                         java.util.Map<java.lang.String,​java.lang.Object> settings,
                                         JID[] buddies)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### addBuddies

          public static JID[] addBuddies​(XMPPResourceConnection session,
                                         java.util.Map<java.lang.String,​java.lang.Object> settings,
                                         JID[] buddies,
                                         java.util.EnumSet<RosterAbstract.SubscriptionType> subscrs)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### addBuddiesToList

          public static void addBuddiesToList​(java.util.List<JID> list,
                                              JID[] buddies)

    - #### getBuddies

          public static JID[] getBuddies​(XMPPResourceConnection session,
                                         java.util.Map<java.lang.String,​java.lang.Object> settings)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### getBuddiesList

          public static java.util.List<JID> getBuddiesList​(XMPPResourceConnection session,
                                                           java.util.Map<java.lang.String,​java.lang.Object> settings)
                                                    throws NotAuthorizedException,
                                                           RosterRetrievingException,
                                                           RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### getBuddyItem

          public static Element getBuddyItem​(XMPPResourceConnection session,
                                             java.util.Map<java.lang.String,​java.lang.Object> settings,
                                             JID buddy)
                                      throws NotAuthorizedException,
                                             RosterRetrievingException,
                                             RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### getDynamicRosters

          public static DynamicRosterIfc[] getDynamicRosters​(java.util.Map<java.lang.String,​java.lang.Object> settings)

    - #### getItemExtraData

          public static Element getItemExtraData​(XMPPResourceConnection session,
                                                 java.util.Map<java.lang.String,​java.lang.Object> settings,
                                                 Element item)

    - #### getRosterItems

          public static java.util.List<Element> getRosterItems​(XMPPResourceConnection session,
                                                               java.util.Map<java.lang.String,​java.lang.Object> settings)
                                                        throws NotAuthorizedException,
                                                               RosterRetrievingException,
                                                               RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### setItemExtraData

          public static void setItemExtraData​(XMPPResourceConnection session,
                                              java.util.Map<java.lang.String,​java.lang.Object> settings,
                                              Element item)

    - #### register

          public void register​(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called when bean is being registered allowing developer to programatically register other beans.
      Specified by:
        `register` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### unregister

          public void unregister​(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called while bean is being unregistered.
      Specified by:
        `unregister` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`